Bug 237562 - net/shadowsocks-libev: fix build with GCC-based architectures
Summary: net/shadowsocks-libev: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-25 15:54 UTC by Piotr Kubaj
Modified: 2019-05-03 14:30 UTC (History)
1 user (show)

See Also:
xiaoding+freebsd: maintainer-feedback+


Attachments
patch (5.10 KB, patch)
2019-04-25 15:54 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (xiaoding+freebsd)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-04-25 15:54:08 UTC
Created attachment 204012 [details]
patch

Add USES=compiler:c++11-lang and merge upstream patch (commit 662b6db3f3c395b552fa16f7fb22558aa38fe6aa) to fix build on GCC architectures.
Tested on powerpc64 and amd64.
Comment 1 xiaoding+freebsd 2019-04-28 01:03:40 UTC
Accepted with thanks!
Comment 2 commit-hook freebsd_committer 2019-05-03 14:30:31 UTC
A commit references this bug:

Author: pkubaj
Date: Fri May  3 14:29:51 UTC 2019
New revision: 500735
URL: https://svnweb.freebsd.org/changeset/ports/500735

Log:
  net/shadowsocks-libev: fix build with GCC-based architectures

  Base GCC fails to build this port:
  cc: Internal error: Segmentation fault (program ld)

  PR:		237562
  Approved by:	mat (mentor), xiaoding+freebsd@xiaoding.org (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D20085

Changes:
  head/net/shadowsocks-libev/Makefile
  head/net/shadowsocks-libev/distinfo